Bug 70141 - Writer, Calc, Impress: Add Instructions for Font Embedding to Documentation
Summary: Writer, Calc, Impress: Add Instructions for Font Embedding to Documentation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2013-10-04 16:16 UTC by David Hicks
Modified: 2016-10-25 19:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Hicks 2013-10-04 16:16:28 UTC
Now that font embedding has been added with LibO 4.1.1.2, this feature should be added to Lib0 Help as, for example:

LibreOffice Help -> Index tab -> fonts -> embedding ->

or, in other words:

LibreOffice Help 
   Index tab 
      fonts 
         embedding

(instructions:)

Open File menu -> Properties -> Font tab -> Check "Embed fonts in the document"

Also, it might be a good idea to distinguish embedding fonts in PDF documents from embedding fonts in Writer, Calc and Impress documents
Comment 1 Rob Snelders 2013-10-04 19:02:42 UTC
Confimed in LO 4.1.1.2

It seems that it is missing in the online as well as in the offline help.
Comment 2 Adolfo Jayme 2014-02-13 08:20:48 UTC
Note that the path might change. The Font tab really should not be present (see bug 64357).
Comment 3 Commit Notification 2016-02-05 14:19:54 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=f0d7b49840e48ac130e57a7304a10b2a75b5fccd

tdf#70141 Add help page for font embedding